Delete Multiple Offers (Soft Delete)
curl --request DELETE \
--url https://api.lendflow.com/api/applications/{application_id}/offers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offer_ids": [
"architecto"
]
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/offers"
payload = { "offer_ids": ["architecto"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({offer_ids: ['architecto']})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/offers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Offers
Delete Multiple Offers (Soft Delete)
Soft deletes several of the application’s offers at once.
DELETE
/
api
/
applications
/
{application_id}
/
offers
Delete Multiple Offers (Soft Delete)
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Path Parameters
The ID of the application.
Body
application/json
Must match an existing stored value.
Example:
["architecto"]
Response
204 - text/plain
The response is of type string.
Example:
""
Was this page helpful?